Loading...
Searching...
No Matches
ARC_ParserTagToken Struct Reference

a parser type used inside of the parser data create function More...

`#include <parser.h>`

## Data Fields

uint32_t | id
ARC_LexerToken * | token
ARC_Vector * | tagTokens

## Detailed Description

a parser type used inside of the parser data create function

Note
  there are no public creation and destruction functions for this type as it is only ment to be used within the creation callback
  if the parser tag token is a token then tagTokens will be NULL
  if the parser tag token is a tag then token will be NULL

Definition at line 35 of file parser.h.

## Field Documentation

## id

uint32_t ARC_ParserTagToken::id

Definition at line 36 of file parser.h.

## tagTokens

ARC_Vector* ARC_ParserTagToken::tagTokens

Definition at line 39 of file parser.h.

## token

ARC_LexerToken* ARC_ParserTagToken::token

Definition at line 38 of file parser.h.

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/include/arc/std/parser.h